Subject: Re: "don't have enough privileges to create folder" error (attn: mailing list admin!!)

From: "Marc J. Miller" <[email-masked]>
Date: Wed, 17 Jan 2001 13:42:29 -0800

I'm not sure if this was caused by a typo from the mailing list or from 
some individual.  Nevertheless, this is what I tried to post a moment ago...

>X-POP3-Rcpt: itlm019@ike
>Date: Wed, 17 Jan 2001 13:37:10 -0800 (PST)
>From: Mail Delivery Subsystem <[email-masked]>
>To: <[email-masked]>
>Subject: Returned mail: see transcript for details
>Auto-Submitted: auto-generated (failure)
>
>The original message was received at Wed, 17 Jan 2001 13:37:06 -0800 (PST)
>from iras-2-54.ucdavis.edu [169.237.16.182]
>
>    ----- The following addresses had permanent fatal errors -----
><[email-masked]>
>     (reason: 550 Host unknown)
>
>    ----- Transcript of session follows -----
>550 5.1.2 <[email-masked]>... Host unknown (Name server: 
>umich.deu: host not found)
>Reporting-MTA: dns; schilling.ucdavis.edu
>Received-From-MTA: DNS; iras-2-54.ucdavis.edu
>Arrival-Date: Wed, 17 Jan 2001 13:37:06 -0800 (PST)
>
>Final-Recipient: RFC822; [email-masked]
>Action: failed
>Status: 5.1.2
>Remote-MTA: DNS; umich.deu
>Diagnostic-Code: SMTP; 550 Host unknown
>Last-Attempt-Date: Wed, 17 Jan 2001 13:37:10 -0800 (PST)
>Return-Path: <[email-masked]>
>Received: from prometheus.mailbox.ucdavis.edu (iras-2-54.ucdavis.edu 
>[169.237.16.182])
>         by schilling.ucdavis.edu (8.11.1/8.11.0/IT4.4.8) with ESMTP id 
> f0HLb5C17451;
>         Wed, 17 Jan 2001 13:37:06 -0800 (PST)
>Message-Id: <[email-masked]>
>X-Sender: itlm019/[email-masked]
>X-Mailer: QUALCOMM Windows Eudora Version 5.0.2
>Date: Wed, 17 Jan 2001 13:33:17 -0800
>To: [email-masked], [email-masked]
>From: "Marc J. Miller" <[email-masked]>
>Subject: Re: "don't have enough privileges to create folder" error
>Cc: [email-masked]
>In-Reply-To: <414898715.979667442@[192.168.99.123]>
>Mime-Version: 1.0
>Content-Type: text/plain; charset="us-ascii"; format=flowed
>
>Usually directories designated for use with AppleShare have the setgid 
>(g+s) bit set.  It forces inheritance of permissions.  Without it, the 
>.AppleDouble subdirectory can't be created since the new folder doesn't 
>necessarily have the same write privileges.
>
>At 05:50 PM 1/16/01 -0500, Chad Leigh, Objectwerks, Inc. wrote:
>>Hi
>>
>>This appears more complicated than the title suggests.  I looked at the 
>>FAQ on sourceforge.net and the question that appears to be the same as 
>>mine but the solution did not solve it.
>>
>>I try and create a folder anywhere in my share and it says I can't 
>>because I don't have enouhg privileges but idoes it anyway.  The user I 
>>am logging in as has complete rights to the files and folders  listed in 
>>the share, including user and group r+w+x privilege.
>>
>>I try and copy in a folder from the Mac and it creates the folder but 
>>then says that it has no rights to create the first file contained in 
>>that folder and quits.
>>
>>I have 1.42+asun version on FreeBSD 4.2.
>>
>>I have a share that is owned by user "chad" group "staff".  Here is the 
>>configuration in the AppleVolumes.default file in /usr/local/etc
>>
>>/mirror1/companies  "Company Data" options=crlf
>>
>>megumi# cd /mirror1/companies/
>>megumi# ls -al
>>total 14
>>drwxrwx---  14 chad  staff  512 Jan 16 15:41 .
>>drwxrwx---   8 root  wheel  512 Jan  8 20:39 ..
>>drwxrwx---   6 chad  staff  512 Jan  6 18:38 .AppleDesktop
>>drwxrwx---   2 chad  staff  512 Jan  6 18:30 .AppleDouble
>>drwxrwx---   4 chad  staff  512 Jan 16 14:05 Applications
>>drwxrwx---   5 chad  staff  512 Jan  6 18:39 Leigh America Company
>>drwxrwx---   3 chad  staff  512 Jan 16 15:28 Network Trash Folder
>>drwxrwx---   4 chad  staff  512 Jan  6 18:22 Shire.Net LLC
>>drwxrwx---   3 chad  staff  512 Jan  6 18:19 TheFindByContentFolder
>>drwxrwx---   3 chad  staff  512 Jan  6 18:20 TheVolumeSettingsFolder
>>drwxrwx---   3 chad  staff  512 Jan 16 15:24 untitled folder
>>drwxrwx---   3 chad  staff  512 Jan 16 15:28 untitled folder 1
>>drwxrwx---   3 chad  staff  512 Jan 16 15:28 untitled folder 2
>>drwxrwx---   3 chad  staff  512 Jan 16 15:41 untitled folder 3
>>
>>I am logging in as user "chad" which has a default group "staff" in the 
>>passwd file on the FreeBSD box.
>>
>>Using ps -aux I list 3 afpd, two running as user "chad" (from 2 macs" and 
>>one as root which I assume is the one listed as "LISTEN" when I do a 
>>netstat -a.
>>
>>When all the files were listed as
>>
>>drwxr-xr-x it didn't work either.
>>
>>The console is giving me the message:  afpd[blah]: setdirmode: chmod 
>>.AppleDouble"Operation not permitted
>>
>>I check all the .AppleDouble folders and they are all owned by the same 
>>user / group chad:staff as is the user logging in and they are all 
>>rwxrwx--- (also tried rwxr-xr-x) so I don't know what operation is not 
>>permitted on which .AppleDouble since the user is all correct as far as I 
>>can tell.
>>
>>I am stuck and don't know what I can do and cannot find any documentation 
>>or anything that gives me more enlightenment.  Anyone care to give me a hand?
>>
>>Thanks
>>Chad
>